> ## Documentation Index
> Fetch the complete documentation index at: https://api.monument.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate lease for a lead

> Creates a lease when the lead is complete. Marks a unit in the selected unit group as reserved.



## OpenAPI

````yaml /openapi/shopping-openapi.json post /shopping/{portfolio}/v1/facilities/lead/generate-lease
openapi: 3.0.0
info:
  title: Monument Shopping API
  description: Monument Shopping API
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.prd.monument.io
    description: Production
  - url: https://public-api.stg.monument.io
    description: Staging
security: []
tags:
  - name: Facilities
    description: Facility listing, details, and configuration
  - name: Leads
    description: Lead creation, updates, status, and pre-existing tenant validation
  - name: Shopping Cart
    description: Cart operations and access plans
  - name: Unit Groups
    description: Unit group details and taxes
  - name: Units
    description: Unit and gate access code retrieval
  - name: Payments
    description: Payment profiles and processor information
  - name: Brands
    description: Branding configuration and brand-scoped facilities
  - name: Coverages
    description: Coverage options and private coverage info
  - name: Leases
    description: Lease signing redirects
  - name: Organizations
    description: Portfolio organization information
  - name: Lead Marketing Sources
    description: Marketing source listing
paths:
  /shopping/{portfolio}/v1/facilities/lead/generate-lease:
    post:
      tags:
        - Facilities
        - Leads
      summary: Generate lease for a lead
      description: >-
        Creates a lease when the lead is complete. Marks a unit in the selected
        unit group as reserved.
      operationId: PublicApiFacilitiesController_generateLease
      parameters:
        - name: portfolio
          required: true
          in: path
          schema:
            type: string
        - in: header
          required: true
          name: x-api-key
          schema:
            example: monument-2230012-2312321
            description: >-
              Api key required to authenticate your request. Please reach out to
              monument for a key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateLeaseRequestDto'
      responses:
        '201':
          description: Details of the created lease to create display for the user
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateLeaseReponseDto'
components:
  schemas:
    GenerateLeaseRequestDto:
      type: object
      properties:
        facilityUuid:
          type: string
        unitGroupUuid:
          type: string
        leadUuid:
          type: string
        email:
          type: string
        additionalServices:
          type: array
          items:
            type: string
      required:
        - facilityUuid
        - unitGroupUuid
        - leadUuid
    GenerateLeaseReponseDto:
      type: object
      properties:
        leaseSessionUrl:
          type: string
          description: Embedable url for the lease which is signable by the lead.
      required:
        - leaseSessionUrl

````